Loading...
Searching...
No Matches
QXmppOutOfBandUrl Class Reference

## Public Member Functions

const QString & | url () const
void | setUrl (const QString &url)
const std::optional< QString > & | description () const
void | setDescription (const std::optional< QString > &description)

## Detailed Description

A URL and a description of its contents, from XEP-0066: Out of Band Data

Since
  QXmpp 1.5

## Member Function Documentation

## description()

const std::optional< QString > & QXmppOutOfBandUrl::description | ( |  | ) | const

Returns the description of the URL

## setDescription()

void QXmppOutOfBandUrl::setDescription | ( | const std::optional< QString > & | description | ) |

Set the description of the URL

## setUrl()

void QXmppOutOfBandUrl::setUrl | ( | const QString & | url | ) |

Sets the attached URL

## url()

const QString & QXmppOutOfBandUrl::url | ( |  | ) | const

Returns the attached URL

The documentation for this class was generated from the following files:

- QXmppOutOfBandUrl.h
- QXmppOutOfBandUrl.cpp